<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerJadwalAktifitas extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->model('notifikasi_arisan');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index($id)
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi 
        $regist_arisan            = $this->encrypt->decode($id);
        // Data Login Identitas Karyawan
        $data_id_login          = $this->session->userdata('isloggedin');
        $data_login             = $this->userlogin->user_login();
        // Query SQL Data atau isi data page.
        $data_arisan            = $this->db->get_where('p_arisan', ['id' => $regist_arisan])->row_array();
        $data_pemenang          = $this->select_model->getDataAnggotaArisanHebohMenang($regist_arisan); // Data Anggota Pemenang Arisan
        $anggota                = count($this->select_model->getDataAnggotaArisanHebohAktif($regist_arisan)); // Data Anggota Aktif Arisan
        $anggota_mundur         = count($this->select_model->getDataAnggotaArisanHebohMundur($regist_arisan)); // Data Anggota Mundur Arisan
        $anggota_menang         = count($data_pemenang);
        $realisasi_tagihan      = $this->select_model->getDataRealisasiTagihan($regist_arisan); // Data Realisasi Tagihan bulan dan tahun berjalan
        $data_saldo             = $this->select_model->getDataSaldoKelompok($regist_arisan); // Data Saldo Kelompok
        if ($data_saldo > 0) :
            $saldo_kelompok = $data_saldo['saldo_akhir'];
        else :
            $saldo_kelompok = 0;
        endif;
        $jadwal_undian          = $this->select_model->getDataJadwalArisanHeboh($regist_arisan);
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'aktifitas/jadwal',
            'page'                => 'index',
            'judul'               => 'Jadwal Arisan ' . $regist_arisan . ' || Bagian Arisan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Isi data
            'data_arisan'         => $data_arisan,
            'data_pemenang'       => $data_pemenang,
            'saldo_kelompok'      => $saldo_kelompok,
            'anggota_aktif'       => $anggota,
            'anggota_mundur'      => $anggota_mundur,
            'anggota_menang'      => $anggota_menang,
            'realisasi'           => $realisasi_tagihan,
            'jadwal_undian'       => $jadwal_undian,
            'jml_pengajuan'       => $jml_pengajuan
        );
        $this->load->view('arisan/index', $data);
    }
    public function crud()
    {
        if (isset($_POST['ubahJadwalArisan'])) {
            $regist_arisan = htmlspecialchars($this->input->post('kode_regist'));
            $this->update_model->ubahJadwalArisan($regist_arisan);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Ubah Jadwal Arisan!</div>');
            redirect('arisan/aktifitas/jadwal/kelompok/' . $this->encrypt->encode($regist_arisan));
        }
    }
}

/* End of file ControllerJadwalAktifitas.php and path \application\controllers\arisan\aktifitas\ControllerJadwalAktifitas.php */